## designate 2.0.0

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=1.3 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask<1.0,>=0.10 # BSD
greenlet>=0.3.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.1.0 # Apache-2.0
keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.7.0 # Apache-2.0
oslo.concurrency>=3.5.0 # Apache-2.0
oslo.messaging>=4.0.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=2.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.0.0 # Apache-2.0
oslo.utils>=3.5.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan>=1.0.0 # BSD
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
requests!=2.9.0,>=2.8.1 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.5.0 # Apache-2.0
suds-jurko>=0.6 # LGPL
setuptools>=16.0 # PSF/ZPL
WebOb>=1.2.3 # MIT
dnspython>=1.12.0;python_version<'3.0' # http://www.dnspython.org/LICENSE
dnspython3>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db>=4.1.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.context>=0.2.0 # Apache-2.0
oslo.policy>=0.5.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.28.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0

=== debian/changelog ===
designate (1:2.0.0-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 07 Apr 2016 12:02:43 -0400

designate (1:2.0.0~rc1-0ubuntu1) xenial; urgency=medium

  * New upstream release candidate for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 24 Mar 2016 08:05:18 -0400

designate (1:2.0.0~b3-0ubuntu2) xenial; urgency=medium

  * d/man/*, d/designate-common.manpages: Add manpage stubs.
  * d/designate-common.dirs: Dropped usr/share/designate as it is not used.

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 21 Mar 2016 15:07:38 -0400

designate (1:2.0.0~b3-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (Build-)Depends with upstream.
  * d/p/fixes-keystone-authtoken.patch: Rebased.
  * d/p/disable_pool_manager_unit_test.patch: Dropped. Fixed upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 09 Mar 2016 14:56:21 -0500

designate (1:2.0.0~b2-0ubuntu2) xenial; urgency=medium

  * d/designate-common.install: Install config files in /etc/designate and
    install individual /usr/bin files.
  * d/designate-common.postinst: Add post install user/group/dir/perm config.
  * d/rules: Install designate.conf.sample to /etc/designate/designate.conf.

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 18 Feb 2016 10:36:15 -0500

designate (1:2.0.0~b2-0ubuntu1) xenial; urgency=medium

  * New upstream milestone for OpenStack Mitaka.
  * d/control: Align (build-)depends wth upstream.
  * d/p/disable_pool_manager_unit_test.patch: Cherry pick upstream patch to
    skip test_init_no_pool_targets.
  * d/p/skipped-tests.patch: Dropped. No longer needed.
  * d/*: Remove debconf and dbconfig support.

 -- David Della Vecchia <ddv@canonical.com>  Mon, 25 Jan 2016 10:41:58 -0500

designate (1:2.0.0~b1-0ubuntu1) xenial; urgency=medium

  * New upstream release for OpenStack Mitaka.
  * d/control: Align (build-)depends with upstream.

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 15 Dec 2015 13:27:23 -0500

=== debian/control ===
Source: designate
Section: net
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
Build-Depends: debhelper (>= 9~),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 23~),
               python-all,
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: python-babel (>= 1.3),
                     python-coverage (>= 3.6),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-dnspython (>= 1.12.0),
                     python-eventlet (>= 0.18.2),
                     python-fixtures (>= 1.3.1),
                     python-flask (>= 0.10),
                     python-greenlet (>= 0.3.2),
                     python-hacking (>= 0.9.2),
                     python-jinja2 (>= 2.8),
                     python-jsonschema (>= 2.0.0),
                     python-keystonemiddleware (>= 4.0.0),
                     python-memcache (>= 1.56),
                     python-migrate (>= 0.9.6),
                     python-mock (>= 1.2),
                     python-netaddr (>= 0.7.12),
                     python-neutronclient (>= 1:2.6.0),
                     python-oslo.concurrency (>= 3.5.0),
                     python-oslo.config (>= 1:3.7.0),
                     python-oslo.context (>= 0.2.0),
                     python-oslo.db (>= 4.1.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 1.14.0),
                     python-oslo.messaging (>= 4.0.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 0.5.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 2.0.0),
                     python-oslo.serialization (>= 1.10.0),
                     python-oslo.service (>= 1.0.0),
                     python-oslo.utils (>= 3.5.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pbr (>= 1.8),
                     python-pecan (>= 1.0.0),
                     python-pkg-resources (>= 16.0),
                     python-requests (>= 2.8.1),
                     python-requests-mock (>= 0.7.0),
                     python-routes (>= 1.12.3),
                     python-six (>= 1.9.0),
                     python-sphinxcontrib-httpdomain,
                     python-sqlalchemy (>= 1.0.10),
                     python-stevedore (>= 1.5.0),
                     python-suds,
                     python-tempest-lib (>= 0.14.0),
                     python-testscenarios (>= 0.4),
                     python-testtools (>= 1.4.0),
                     python-tooz (>= 1.28.0),
                     python-webob (>= 1.2.3),
                     python-webtest (>= 2.0),
                     python-werkzeug (>= 0.7),
                     python-keystoneauth1 (>= 2.1.0),
                     subunit (>= 0.0.18),
                     testrepository (>= 0.0.18),
Standards-Version: 3.9.6
Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
Homepage: https://github.com/openstack/designate

Package: python-designate
Section: python
Architecture: all
Depends: python-babel (>= 1.3),
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-dnspython (>= 1.12.0),
         python-eventlet (>= 0.18.2),
         python-flask (>= 0.10),
         python-greenlet (>= 0.3.2),
         python-jinja2 (>= 2.8),
         python-jsonschema (>= 2.0.0),
         python-keystonemiddleware (>= 4.0.0),
         python-memcache (>= 1.56),
         python-migrate (>= 0.9.6),
         python-netaddr (>= 0.7.12),
         python-neutronclient (>= 1:2.6.0),
         python-oslo.concurrency (>= 3.5.0),
         python-oslo.config (>= 1:3.7.0),
         python-oslo.context (>= 0.2.0),
         python-oslo.db (>= 4.1.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 1.14.0),
         python-oslo.messaging (>= 4.0.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 0.5.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 2.0.0),
         python-oslo.serialization (>= 1.10.0),
         python-oslo.service (>= 1.0.0),
         python-oslo.utils (>= 3.5.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-pkg-resources (>= 16.0),
         python-requests (>= 2.8.1),
         python-routes (>= 1.12.3),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.10),
         python-stevedore (>= 1.5.0),
         python-suds,
         python-tooz (>= 1.28.0),
         python-webob (>= 1.2.3),
         python-werkzeug (>= 0.7),
         python-keystoneauth1 (>= 2.1.0),
         ${misc:Depends},
         ${python:Depends},
Provides: ${python:Provides},
XB-Python-Version: ${python:Versions}
Description: OpenStack DNS as a Service - Python libs
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the Python libraries.

Package: designate-common
Architecture: all
Depends: adduser,
         python-designate (= ${binary:Version}),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - common files
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides common files.

Package: designate
Architecture: all
Depends: designate-agent (= ${binary:Version}),
         designate-api (= ${binary:Version}),
         designate-central (= ${binary:Version}),
         designate-common (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - metapackage
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package is a metapackage that helps installing all of Designate at once.

Package: designate-api
Architecture: all
Depends: adduser,
         designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - API server
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the REST API server.

Package: designate-central
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - central daemon
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the central daemon.

Package: designate-agent
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - agent
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the agent.

Package: designate-sink
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - sink
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the sink service.

Package: designate-mdns
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - mdns
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the mdns service.

Package: designate-pool-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - pool manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the pool manager service.

Package: designate-zone-manager
Architecture: all
Depends: designate-common (= ${binary:Version}),
         python-designate (= ${binary:Version}),
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack DNS as a Service - zone manager
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for
 authentication, and provides a framework in place to integrate with Nova and
 Neutron notifications (for auto-generated records). Designate supports
 PowerDNS and Bind9 out of the box.
 .
 This package provides the zone manager service.

Package: designate-doc
Section: doc
Architecture: all
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Description: OpenStack DNS as a Service - doc
 Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
 REST API for domain & record management. It is Integrated with Keystone for

=== debian/rules ===
#!/usr/bin/make -f

UPSTREAM_GIT = git://github.com/openstack/designate.git
include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/etc/designate/designate.conf

override_dh_auto_clean:
	dh_auto_clean -O--buildsystem=python_distutils
	rm -rf doc/build build
	rm -f debian/*.init debian/*.upstart debian/*.service
	rm -rf .eggs

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing -Xusr/etc

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

=== debian/watch ===
version=3
opts="uversionmangle=s/\.([a-zA-Z])/~$1/;s/%7E/~/;s/\.0b/~b/;s/\.0rc/~rc/" \
 http://tarballs.openstack.org/designate designate-(\d.*)\.tar\.gz

## designate 2.1.0

=== requirements.txt ===
--- 
+++ 
@@ -2,9 +2,9 @@
 # of appearance. Changing the order has an impact on the overall integration
 # process, which may cause wedges in the gate later.
 
-Babel>=1.3 # BSD
+Babel!=2.3.0,!=2.3.1,!=2.3.2,!=2.3.3,>=1.3 # BSD
 eventlet!=0.18.3,>=0.18.2 # MIT
-Flask<1.0,>=0.10 # BSD
+Flask!=0.11,<1.0,>=0.10 # BSD
 greenlet>=0.3.2 # MIT
 Jinja2>=2.8 # BSD License (3 clause)
 jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
@@ -12,7 +12,7 @@
 keystonemiddleware!=4.1.0,>=4.0.0 # Apache-2.0
 netaddr!=0.7.16,>=0.7.12 # BSD
 oslo.config>=3.7.0 # Apache-2.0
-oslo.concurrency>=3.5.0 # Apache-2.0
+oslo.concurrency>=3.7.1 # Apache-2.0
 oslo.messaging>=4.0.0 # Apache-2.0
 oslo.middleware>=3.0.0 # Apache-2.0
 oslo.log>=1.14.0 # Apache-2.0
@@ -27,17 +27,17 @@
 pecan>=1.0.0 # BSD
 python-designateclient>=1.5.0 # Apache-2.0
 python-neutronclient!=4.1.0,>=2.6.0 # Apache-2.0
-Routes!=2.0,!=2.1,>=1.12.3;python_version=='2.7' # MIT
-Routes!=2.0,>=1.12.3;python_version!='2.7' # MIT
+Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
+Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
 requests!=2.9.0,>=2.8.1 # Apache-2.0
 six>=1.9.0 # MIT
 SQLAlchemy<1.1.0,>=1.0.10 # MIT
 sqlalchemy-migrate>=0.9.6 # Apache-2.0
 stevedore>=1.5.0 # Apache-2.0
 suds-jurko>=0.6 # LGPL
-setuptools>=16.0 # PSF/ZPL
+setuptools!=24.0.0,>=16.0 # PSF/ZPL
 WebOb>=1.2.3 # MIT
-dnspython>=1.12.0;python_version<'3.0' # http://www.dnspython.org/LICENSE
+dnspython!=1.13.0,>=1.12.0;python_version<'3.0' # http://www.dnspython.org/LICENSE
 dnspython3>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
 oslo.db>=4.1.0 # Apache-2.0
 oslo.i18n>=2.1.0 # Apache-2.0

=== debian/changelog ===
designate (1:2.1.0-0ubuntu1~cloud0) trusty-mitaka; urgency=medium

  * New upstream release for the Ubuntu Cloud Archive.

 -- Openstack Ubuntu Testing Bot <openstack-testing-bot@ubuntu.com>  Wed, 14 Jun 2017 14:15:45 +0000

designate (1:2.1.0-0ubuntu1) xenial; urgency=medium

  * New upstream point release for OpenStack Mitaka (LP: #1696177).

 -- James Page <james.page@ubuntu.com>  Wed, 07 Jun 2017 09:34:57 +0100

## designate 3.0.0~b2

=== debian/changelog ===
designate (1:3.0.0~b2-2+3~bpo8+1) UNRELEASED; urgency=medium

  [ Thomas Goirand ]
  * Remove /v1/ from endpoint and just use /.
  * Copy all pools.yaml.sample* in /usr/share/doc/designate-common/examples.

  [ Jenkins ]
  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Thu, 15 Sep 2016 15:27:49 +0000

designate (1:3.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased fix-requirements.txt.patch.

 -- Thomas Goirand <zigo@debian.org>  Fri, 15 Jul 2016 19:22:30 +0200

designate (1:3.0.0~b1+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not run dh_auto_clean, as it breaks jenkins build.
  * Rebase fixes-keystone-authtoken.patch.
  * Added fix-requirements.txt.patch.
  * Disable export OSLO_PACKAGE_VERSION and use the one from
    openstack-pkg-tools 50~.

 -- Thomas Goirand <zigo@debian.org>  Thu, 09 Jun 2016 10:15:24 +0200

designate (1:2.0.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * Standards-Version is 3.9.8 now (no change)
  * d/rules: Removed UPSTREAM_GIT with default value
  * d/copyright: Changed source URL to new one

  [ Thomas Goirand ]
  * Updated Portuguese translation for debconf messages (Closes: #821242).
  * Updated Dutch translation for debconf messages (Closes: #822968).

 -- Thomas Goirand <zigo@debian.org>  Sat, 23 Apr 2016 18:47:14 +0200

designate (1:2.0.0-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Goirand <zigo@debian.org>  Thu, 07 Apr 2016 21:36:17 +0200

designate (1:2.0.0~rc2-1) unstable; urgency=medium

  * New upstream release.
  * Uploading to unstable.

 -- Thomas Goirand <zigo@debian.org>  Tue, 05 Apr 2016 11:55:27 +0200

designate (1:2.0.0~rc1-2) experimental; urgency=medium

  * Do not use the Keystone admin auth token to register API endpoints.
  * Add all the rest of the services in the "designate" meta-package.
  * Added install-missing-files.patch (because of the missing migration files).
  * Standards-Version: 3.9.7 (no change).

 -- Thomas Goirand <zigo@debian.org>  Tue, 29 Mar 2016 12:52:29 +0000

designate (1:2.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Updated (build-)depends of oslo.config version.

 -- Thomas Goirand <zigo@debian.org>  Tue, 22 Mar 2016 11:42:21 +0100

designate (1:2.0.0~b3-1) experimental; urgency=medium

  [ Thomas Goirand ]
  * New upstream release.
  * Fixed (build-)depends for this release.
  * Do not use the -S option of dpkg-parsechangelog (incompatible with Trusty).
  * Rebased config file patch.
  * Removed skip test patch (applied upstream).

  [ Ondřej Nový ]
  * Fixed VCS URLs (https).

 -- Thomas Goirand <zigo@debian.org>  Wed, 27 Jan 2016 17:55:31 +0000

designate (1:2.0.0~b2-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Black list unit test:
    - PoolManagerInitTest.test_init_no_pool_targets
  * Fixed debian/copyright ordering.

 -- Thomas Goirand <zigo@debian.org>  Thu, 10 Dec 2015 18:03:30 +0100

=== debian/control ===
--- 
+++ 
@@ -1,124 +1,128 @@
 Source: designate
 Section: net
 Priority: extra
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
+Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
-Build-Depends: debhelper (>= 9~),
+Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 23~),
+               openstack-pkg-tools (>= 50~),
+               po-debconf,
                python-all,
-               python-setuptools,
+               python-pbr (>= 1.8),
+               python-setuptools (>= 16.0),
                python-sphinx,
-Build-Depends-Indep: python-babel (>= 1.3),
-                     python-coverage (>= 3.6),
+Build-Depends-Indep: bandit,
+                     python-babel (>= 2.3.4),
+                     python-coverage,
                      python-debtcollector (>= 1.2.0),
                      python-designateclient (>= 1.5.0),
-                     python-dnspython (>= 1.12.0),
-                     python-eventlet (>= 0.18.2),
-                     python-fixtures (>= 1.3.1),
-                     python-flask (>= 0.10),
-                     python-greenlet (>= 0.3.2),
-                     python-hacking (>= 0.9.2),
+                     python-dnspython (>= 1.14.0),
+                     python-eventlet (>= 0.18.4),
+                     python-fixtures (>= 3.0.0),
+                     python-flask,
+                     python-greenlet,
+                     python-hacking,
                      python-jinja2 (>= 2.8),
-                     python-jsonschema (>= 2.0.0),
+                     python-jsonschema,
+                     python-keystoneauth1 (>= 2.7.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-memcache (>= 1.56),
                      python-migrate (>= 0.9.6),
-                     python-mock (>= 1.2),
+                     python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 1:2.6.0),
-                     python-oslo.concurrency (>= 3.5.0),
-                     python-oslo.config (>= 1:3.7.0),
-                     python-oslo.context (>= 0.2.0),
+                     python-neutronclient (>= 4.2.0),
+                     python-oslo.concurrency (>= 3.8.0),
+                     python-oslo.config (>= 1:3.12.0),
+                     python-oslo.context (>= 2.4.0),
                      python-oslo.db (>= 4.1.0),
                      python-oslo.i18n (>= 2.1.0),
-                     python-oslo.log (>= 1.14.0),
-                     python-oslo.messaging (>= 4.0.0),
+                     python-oslo.log (>= 2.0.0),
+                     python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
-                     python-oslo.policy (>= 0.5.0),
-                     python-oslo.reports (>= 0.6.0),
+                     python-oslo.policy (>= 1.9.0),
+                     python-oslo.reports (>= 1.0.0),
                      python-oslo.rootwrap (>= 2.0.0),
-                     python-oslo.serialization (>= 1.10.0),
-                     python-oslo.service (>= 1.0.0),
-                     python-oslo.utils (>= 3.5.0),
+                     python-oslo.serialization (>= 2.0.0),
+                     python-oslo.service (>= 1.10.0),
+                     python-oslo.utils (>= 3.15.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1:1.10.0),
+                     python-oslotest (>= 1.10.0),
                      python-paste,
-                     python-pastedeploy (>= 1.5.0),
-                     python-pbr (>= 1.8),
+                     python-pastedeploy,
                      python-pecan (>= 1.0.0),
-                     python-pkg-resources (>= 16.0),
-                     python-requests (>= 2.8.1),
-                     python-requests-mock (>= 0.7.0),
-                     python-routes (>= 1.12.3),
+                     python-pymysql,
+                     python-requests (>= 2.10.0),
+                     python-requests-mock (>= 1.0),
+                     python-routes,
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.5.0),
+                     python-stevedore (>= 1.10.0),
                      python-suds,
                      python-tempest-lib (>= 0.14.0),
-                     python-testscenarios (>= 0.4),
+                     python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
-                     python-webob (>= 1.2.3),
-                     python-webtest (>= 2.0),
-                     python-werkzeug (>= 0.7),
-                     python-keystoneauth1 (>= 2.1.0),
-                     subunit (>= 0.0.18),
-                     testrepository (>= 0.0.18),
-Standards-Version: 3.9.6
-Vcs-Browser: https://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
-Vcs-Git: git://git.launchpad.net/~ubuntu-server-dev/ubuntu/+source/designate
+                     python-webob,
+                     python-webtest,
+                     python-werkzeug,
+                     python-zake,
+                     sqlite3,
+                     subunit,
+                     testrepository,
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/openstack/designate.git/
+Vcs-Git: https://anonscm.debian.org/git/openstack/designate.git
 Homepage: https://github.com/openstack/designate
 
 Package: python-designate
 Section: python
 Architecture: all
-Depends: python-babel (>= 1.3),
+Depends: python-babel (>= 2.3.4),
          python-debtcollector (>= 1.2.0),
          python-designateclient (>= 1.5.0),
-         python-dnspython (>= 1.12.0),
-         python-eventlet (>= 0.18.2),
-         python-flask (>= 0.10),
-         python-greenlet (>= 0.3.2),
+         python-dnspython (>= 1.14.0),
+         python-eventlet (>= 0.18.4),
+         python-flask,
+         python-greenlet,
          python-jinja2 (>= 2.8),
-         python-jsonschema (>= 2.0.0),
+         python-jsonschema,
+         python-keystoneauth1 (>= 2.7.0),
          python-keystonemiddleware (>= 4.0.0),
          python-memcache (>= 1.56),
          python-migrate (>= 0.9.6),
+         python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 1:2.6.0),
-         python-oslo.concurrency (>= 3.5.0),
-         python-oslo.config (>= 1:3.7.0),
-         python-oslo.context (>= 0.2.0),
+         python-neutronclient (>= 4.2.0),
+         python-oslo.concurrency (>= 3.8.0),
+         python-oslo.config (>= 1:3.12.0),
+         python-oslo.context (>= 2.4.0),
          python-oslo.db (>= 4.1.0),
          python-oslo.i18n (>= 2.1.0),
-         python-oslo.log (>= 1.14.0),
-         python-oslo.messaging (>= 4.0.0),
+         python-oslo.log (>= 2.0.0),
+         python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
-         python-oslo.policy (>= 0.5.0),
-         python-oslo.reports (>= 0.6.0),
+         python-oslo.policy (>= 1.9.0),
+         python-oslo.reports (>= 1.0.0),
          python-oslo.rootwrap (>= 2.0.0),
-         python-oslo.serialization (>= 1.10.0),
-         python-oslo.service (>= 1.0.0),
-         python-oslo.utils (>= 3.5.0),
+         python-oslo.serialization (>= 2.0.0),
+         python-oslo.service (>= 1.10.0),
+         python-oslo.utils (>= 3.15.0),
          python-paste,
-         python-pastedeploy (>= 1.5.0),
+         python-pastedeploy,
          python-pbr (>= 1.8),
          python-pecan (>= 1.0.0),
-         python-pkg-resources (>= 16.0),
-         python-requests (>= 2.8.1),
-         python-routes (>= 1.12.3),
+         python-pymysql,
+         python-requests (>= 2.10.0),
+         python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.5.0),
+         python-stevedore (>= 1.10.0),
          python-suds,
          python-tooz (>= 1.28.0),
-         python-webob (>= 1.2.3),
-         python-werkzeug (>= 0.7),
-         python-keystoneauth1 (>= 2.1.0),
+         python-webob,
+         python-werkzeug,
          ${misc:Depends},
          ${python:Depends},
 Provides: ${python:Provides},
@@ -135,6 +139,7 @@
 Package: designate-common
 Architecture: all
 Depends: adduser,
+         dbconfig-common,
          python-designate (= ${binary:Version}),
          sqlite3,
          ${misc:Depends},
@@ -154,6 +159,10 @@
          designate-api (= ${binary:Version}),
          designate-central (= ${binary:Version}),
          designate-common (= ${binary:Version}),
+         designate-mdns (= ${binary:Version}),
+         designate-pool-manager (= ${binary:Version}),
+         designate-sink (= ${binary:Version}),
+         designate-zone-manager (= ${binary:Version}),
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - metapackage
@@ -169,7 +178,8 @@
 Architecture: all
 Depends: adduser,
          designate-common (= ${binary:Version}),
-         python-designate (= ${binary:Version}),
+         python-openstackclient,
+         q-text-as-data,
          ${misc:Depends},
          ${python:Depends},
 Description: OpenStack DNS as a Service - API server
@@ -278,4 +288,3 @@
          ${sphinxdoc:Depends},
 Description: OpenStack DNS as a Service - doc
  Designate provides DNSaaS services for OpenStack. It provides a multi-tenant
- REST API for domain & record management. It is Integrated with Keystone for

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@ --buildsystem=python_distutils --with python2,sphinxdoc,systemd

override_dh_auto_install:
	dh_auto_install -O--buildsystem=python_distutils
	install -D -m 0664 $(CURDIR)/etc/designate/rootwrap.conf.sample $(CURDIR)/debian/designate-common/etc/designate/rootwrap.conf
	install -D -m 0664 $(CURDIR)/etc/designate/designate.conf.sample $(CURDIR)/debian/designate-common/usr/share/designate-common/designate.conf

	mkdir -p $(CURDIR)/debian/designate-common/usr/share/doc/designate-common/examples
	cp etc/designate/pools.yaml.sample* $(CURDIR)/debian/designate-common/usr/share/doc/designate-common/examples

override_dh_auto_clean:
	rm -f debian/designate-common.postinst debian/designate-common.config debian/designate-api.config debian/designate-api.postinst
	rm -rf doc/build build *.egg-info
	rm -f debian/*.init debian/*.upstart debian/*.service

override_dh_install:
	dh_install -O--buildsystem=python_distutils --fail-missing \
		-Xusr/etc/designate/designate.conf.sample \
		-Xusr/etc/designate/policy.json \
		-Xusr/etc/designate/rootwrap.conf.sample \
		-Xusr/etc/designate/api-paste.ini \
		-Xusr/etc/designate/rootwrap.d/bind9.filters

override_dh_auto_build:
	dh_auto_build -O--buildsystem=python_distutils
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.postinst
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-common.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.config
	/usr/share/openstack-pkg-tools/pkgos_insert_include pkgos_func designate-api.postinst

override_dh_auto_test:
ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
	rm -rf .testrepository
	testr init
	set -e ; \
		TEMP_REZ=`mktemp -t` ; \
		PYTHONPATH=$(CURDIR) testr run --subunit 'designate\.tests\.unit\.(?!.*test_pool_manager\.test_service\.PoolManagerInitTest\.test_init_no_pool_targets.*)' | tee $$TEMP_REZ | subunit2pyunit ; \
		cat $$TEMP_REZ | subunit-filter -s --no-passthrough | subunit-stats ; \
		rm -f $$TEMP_REZ ;
	testr slowest
endif

override_dh_sphinxdoc:
ifeq (,$(findstring nodocs, $(DEB_BUILD_OPTIONS)))
	PYTHONPATH=. sphinx-build -b html doc/source $(CURDIR)/debian/designate-doc/usr/share/doc/designate-doc/html
	dh_sphinxdoc -O--buildsystem=python_distutils
endif

## designate 3.0.0~b3

=== debian/changelog ===
designate (1:3.0.0~b3-1+133~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Wed, 21 Sep 2016 08:57:57 +0000

designate (1:3.0.0~b3-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches.
  * Remove /v1/ from endpoint and just use /.
  * Copy all pools.yaml.sample* in /usr/share/doc/designate-common/examples.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 17:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 50~),
+               openstack-pkg-tools (>= 52~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -25,27 +25,29 @@
                      python-hacking,
                      python-jinja2 (>= 2.8),
                      python-jsonschema,
-                     python-keystoneauth1 (>= 2.7.0),
+                     python-keystoneauth1 (>= 2.10.0),
                      python-keystonemiddleware (>= 4.0.0),
                      python-memcache (>= 1.56),
                      python-migrate (>= 0.9.6),
                      python-mock (>= 2.0),
                      python-netaddr (>= 0.7.12),
-                     python-neutronclient (>= 4.2.0),
+                     python-neutronclient (>= 5.1.0),
+                     python-os-api-ref,
+                     python-os-win (>= 1.2.0),
                      python-oslo.concurrency (>= 3.8.0),
-                     python-oslo.config (>= 1:3.12.0),
-                     python-oslo.context (>= 2.4.0),
-                     python-oslo.db (>= 4.1.0),
+                     python-oslo.config (>= 1:3.14.0),
+                     python-oslo.context (>= 2.9.0),
+                     python-oslo.db (>= 4.10.0),
                      python-oslo.i18n (>= 2.1.0),
                      python-oslo.log (>= 2.0.0),
                      python-oslo.messaging (>= 5.2.0),
                      python-oslo.middleware (>= 3.0.0),
                      python-oslo.policy (>= 1.9.0),
                      python-oslo.reports (>= 1.0.0),
-                     python-oslo.rootwrap (>= 2.0.0),
+                     python-oslo.rootwrap (>= 5.0.0),
                      python-oslo.serialization (>= 2.0.0),
                      python-oslo.service (>= 1.10.0),
-                     python-oslo.utils (>= 3.15.0),
+                     python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
                      python-oslotest (>= 1.10.0),
                      python-paste,
@@ -58,9 +60,9 @@
                      python-six (>= 1.9.0),
                      python-sphinxcontrib-httpdomain,
                      python-sqlalchemy (>= 1.0.10),
-                     python-stevedore (>= 1.10.0),
+                     python-stevedore (>= 1.16.0),
                      python-suds,
-                     python-tempest-lib (>= 0.14.0),
+                     python-tempest (>= 1:12.1.0),
                      python-testscenarios,
                      python-testtools (>= 1.4.0),
                      python-tooz (>= 1.28.0),
@@ -88,27 +90,28 @@
          python-greenlet,
          python-jinja2 (>= 2.8),
          python-jsonschema,
-         python-keystoneauth1 (>= 2.7.0),
+         python-keystoneauth1 (>= 2.10.0),
          python-keystonemiddleware (>= 4.0.0),
          python-memcache (>= 1.56),
          python-migrate (>= 0.9.6),
          python-mysqldb,
          python-netaddr (>= 0.7.12),
-         python-neutronclient (>= 4.2.0),
+         python-neutronclient (>= 5.1.0),
+         python-os-win (>= 1.2.0),
          python-oslo.concurrency (>= 3.8.0),
-         python-oslo.config (>= 1:3.12.0),
-         python-oslo.context (>= 2.4.0),
-         python-oslo.db (>= 4.1.0),
+         python-oslo.config (>= 1:3.14.0),
+         python-oslo.context (>= 2.9.0),
+         python-oslo.db (>= 4.10.0),
          python-oslo.i18n (>= 2.1.0),
          python-oslo.log (>= 2.0.0),
          python-oslo.messaging (>= 5.2.0),
          python-oslo.middleware (>= 3.0.0),
          python-oslo.policy (>= 1.9.0),
          python-oslo.reports (>= 1.0.0),
-         python-oslo.rootwrap (>= 2.0.0),
+         python-oslo.rootwrap (>= 5.0.0),
          python-oslo.serialization (>= 2.0.0),
          python-oslo.service (>= 1.10.0),
-         python-oslo.utils (>= 3.15.0),
+         python-oslo.utils (>= 3.16.0),
          python-paste,
          python-pastedeploy,
          python-pbr (>= 1.8),
@@ -118,7 +121,7 @@
          python-routes,
          python-six (>= 1.9.0),
          python-sqlalchemy (>= 1.0.10),
-         python-stevedore (>= 1.10.0),
+         python-stevedore (>= 1.16.0),
          python-suds,
          python-tooz (>= 1.28.0),
          python-webob,
@@ -287,4 +290,3 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
 Description: OpenStack DNS as a Service - doc
- Designate provides DNSaaS services for OpenStack. It provides a multi-tenant

## designate 3.0.0~rc1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.

Babel>=2.3.4 # BSD
eventlet!=0.18.3,>=0.18.2 # MIT
Flask!=0.11,<1.0,>=0.10 # BSD
greenlet>=0.3.2 # MIT
Jinja2>=2.8 # BSD License (3 clause)
jsonschema!=2.5.0,<3.0.0,>=2.0.0 # MIT
keystoneauth1>=2.10.0 # Apache-2.0
keystonemiddleware!=4.1.0,!=4.5.0,>=4.0.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.12 # BSD
oslo.config>=3.14.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.log>=1.14.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.16.0 # Apache-2.0
Paste # MIT
PasteDeploy>=1.5.0 # MIT
pbr>=1.6 # Apache-2.0
pecan!=1.0.2,!=1.0.3,!=1.0.4,>=1.0.0 # BSD
python-designateclient>=1.5.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
requests>=2.10.0 # Apache-2.0
six>=1.9.0 # MIT
SQLAlchemy<1.1.0,>=1.0.10 # MIT
sqlalchemy-migrate>=0.9.6 # Apache-2.0
stevedore>=1.16.0 # Apache-2.0
suds-jurko>=0.6 # LGPLv3+
setuptools!=24.0.0,>=16.0 # PSF/ZPL
WebOb>=1.2.3 # MIT
dnspython>=1.14.0 # http://www.dnspython.org/LICENSE
dnspython3>=1.12.0;python_version>='3.0' # http://www.dnspython.org/LICENSE
oslo.db>=4.10.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.policy>=1.9.0 # Apache-2.0
Werkzeug>=0.7 # BSD License
python-memcached>=1.56 # PSF
tooz>=1.28.0 # Apache-2.0
debtcollector>=1.2.0 # Apache-2.0
os-win>=0.2.3 # Apache-2.0

=== debian/changelog ===
designate (1:3.0.0~rc1-2+4~bpo8+1) UNRELEASED; urgency=medium

  * Backport rebuilt by Jenkins in OpenStack infra.

 -- Jenkins <jenkins@openstack.org>  Tue, 04 Oct 2016 08:12:18 +0000

designate (1:3.0.0~rc1-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/s/options: extend-diff-ignore of .gitreview
  * d/control: Using OpenStack's Gerrit as VCS URLs.

  [ Thomas Goirand ]
  * Uploading to unstable.
  * Build-Depends on openstack-pkg-tools >= 53~.
  * Fixed oslotest EPOCH.

 -- Thomas Goirand <zigo@debian.org>  Wed, 28 Sep 2016 09:39:40 +0200

designate (1:3.0.0~rc1-1) experimental; urgency=medium

  * New upstream release.
  * Fixed (build-)depends for this release.
  * Rebased patches.
  * Remove /v1/ from endpoint and just use /.
  * Copy all pools.yaml.sample* in /usr/share/doc/designate-common/examples.

 -- Thomas Goirand <zigo@debian.org>  Tue, 26 Jul 2016 17:33:51 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper (>= 9),
                dh-python,
                dh-systemd,
-               openstack-pkg-tools (>= 52~),
+               openstack-pkg-tools (>= 53~),
                po-debconf,
                python-all,
                python-pbr (>= 1.8),
@@ -49,7 +49,7 @@
                      python-oslo.service (>= 1.10.0),
                      python-oslo.utils (>= 3.16.0),
                      python-oslosphinx (>= 2.5.0),
-                     python-oslotest (>= 1.10.0),
+                     python-oslotest (>= 1:1.10.0),
                      python-paste,
                      python-pastedeploy,
                      python-pecan (>= 1.0.0),
@@ -74,8 +74,8 @@
                      subunit,
                      testrepository,
 Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/designate.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/designate.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-designate?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-designate -b debian/newton
 Homepage: https://github.com/openstack/designate
 
 Package: python-designate
@@ -289,4 +289,3 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
-Description: OpenStack DNS as a Service - doc
